      function ibrav (symbr)                                            IBRA001
c ----------------------------------------------------------------------IBRA002
c     assign sequence number to corresponding bravais symbol            IBRA003
c ----------------------------------------------------------------------IBRA004
      integer symbr                                                     IBRA005
      character bra(7), cbra                                            IBRA006
      data (bra(i),i=1,7)/'P','I','R','F','A','B','C'/                  IBRA007
      write (cbra,'(a1)') symbr                                         IBRA008
      do 0001 i=1,7                                                     IBRA009
         if (cbra.eq.bra(i)) then                                       IBRA010
            ibrav=i                                                     IBRA011
            return                                                      IBRA012
         end if                                                         IBRA013
 0001 continue                                                          IBRA014
      ibrav=1                                                           IBRA015
      return                                                            IBRA016
      end                                                               IBRA017
                                                                        IBRA018
                                                                        IBRA019
                                                                        IBRA020
